#! /usr/bin/python

from twisted.spread import pb
from twisted.cred import credentials
from twisted.internet import reactor
from twisted.python import log

host = "localhost"
portnum = 9999
user = "sender"
pw = "pw"
avatar = "avatarID"

f = pb.PBClientFactory()
d = f.login(credentials.UsernamePassword(user, pw), client=None)
reactor.connectTCP(host, portnum, f)
def send(ref):
    d = ref.callRemote("message", "body is here")
    d.addCallback(lambda r: reactor.stop())
    d.addErrback(log.err)
    return d
d.addErrback(log.err)
d.addCallback(send)

reactor.run()
